Deprecation warning
This endpoint is in the process of being deprecated, please avoid using it if you're setting up a new integration.
Moving forward, all channels available for each promotion type will be returned as part of the response of the [Promotion Types](/connectivity/docs/b_xml-promotiontypes) endpoint, which should be the preferred way to retrieve this information.

# Retrieving promotion channels

Use this endpoint to retrieve promotion channels by ID. The response includes a list of all available channels for that promotion.

Retrieving empty response
If you have already activated a property's promotion channel or if the property is not eligible, the `getpromotionchannels` endpoint returns an empty response.

## URL


```https
POST 
https://supply-xml.booking.com/hotels/xml/getpromotionchannels
```

## Sample request for country rate


```xml
<request>
    <hotel_id>2773157</hotel_id>
    <type>geo_rate</type>
</request>
```

## Request body

| Field | Description | Type | Occurrences | Notes |
|  --- | --- | --- | --- | --- |
| `request` | Root element. | object | 1..1 | - |
| `hotel_id` | The ID of the property you want to retrieve available promotions from. | integer | 1..1 | - |
| `type` | The type of promotion you want to filter. | string | 0..1 | - |


## Sample response for country rate

This example contains all possible fields that can be included in the response.


```xml
<promotionchannels>
    <promotionchannel id="thailand_pos" name="Thailand"/>
    <promotionchannel id="colombia_pos" name="Columbia"/>
    <promotionchannel id="kuwait_pos" name="Kuwait"/>
    <promotionchannel id="eu_pos" name="European Economic Area"/>
    <promotionchannel id="switzerland_pos" name="Switzerland"/> 
</promotionchannels>
<!-- RUID: [...] -->
```

## Response body

This table gives more details about some of the fields in the response.

Note
Not all fields are relevant for all response types. A
value of `-1` indicates that the current field is not relevant for the
current response type.

| Element | Attribute | Description | Type | Notes |
|  --- | --- | --- | --- | --- |
| `promotionchannels` |  | Root element. | array of `promotionchannel` |  |
| `promotionchannel` |  | Promotion channel details. | object |  |
|  | `id` | Promotion channel ID. | string |  |
|  | `name` | Name of the promotion channel. | string |  |


### Schema validation errors

#### HTTP/1.1 400 Bad Request


```xml
<?xml version='1.0' standalone='yes'?>
<getpromotionchannels>
  <fault code="400">
    <string>code= 1824 level= 2 message= Element 'hotel_id': 'test hotel' is not a valid value of the atomic type 'xs:integer'.
</string>
  </fault>
</getpromotionchannels>
<!-- RUID: [...] -->
```

## Errors

For a complete list of error codes and possible solutions, see [Troubleshooting and list of error codes](/connectivity/docs/promotions-troubleshooting).